dictword_t Struct Reference

a structure for one dictionary word. More...

`#include <dict.h>`

## Data Fields

char * | word
| Ascii word string.
s3cipid_t * | ciphone
| Pronunciation.
int32 | pronlen
| Pronunciation length.
s3wid_t | alt
| Next alternative pronunciation id, NOT_S3WID if none.
s3wid_t | basewid
| Base pronunciation id.

## Detailed Description

a structure for one dictionary word.

Definition at line 63 of file dict.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/dict.h